# $Revision: 1.64 $, $Date: 2008/07/27 22:25:13 $
Summary:	Remote clock reader (and local setter)
Summary(de.UTF-8):	Entfernter Uhrenleser (lokaler Einsteller)
Summary(es.UTF-8):	Lector de reloj remoto (y ajuste local)
Summary(fr.UTF-8):	Lecteur d'horloge distante (et configurateur local)
Summary(pl.UTF-8):	Program podający (i ustawiający) zdalny czas zegara
Summary(pt_BR.UTF-8):	Leitor de relógio remoto (e ajustador local)
Summary(ru.UTF-8):	Программа для чтения удаленных часов и установки по ним местных
Summary(tr.UTF-8):	Ağ üzerinden sistem saatini ayarlayan yazılım
Name:		rdate
Version:	1.4
Release:	5
License:	GPL v2
Group:		Networking/Utilities
Source0:	ftp://people.redhat.com/sopwith/%{name}-%{version}.tar.gz
# Source0-md5:	b2e5bbfa10ec480076750fd78fe7f7a5
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.cron
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
Obsoletes:	rdate-bsd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
rdate is a program that can retrieve the time from another machine on
your network. If run as root, it will also set your local time to that
of the machine you queried. It is not super accurate; get ntpd if you
are really worried about milliseconds.

%description -l de.UTF-8
rdate ist ein Programm, das die Uhrzeit von einem anderen
Netzwerkrechner lesen kann. Wenn Sie es als root ausführen, stellt es
Ihre Ortszeit auf die des abgefragten Rechners ein. Es ist nicht sehr
genau. Wenn Sie auf die Millisekunde genau sein wollen, besorgen Sie
sich ntpd.

%description -l es.UTF-8
Rdate es un programa que puede retornar el tiempo (fecha/hora) de otra
máquina en tu red. Si le ejecutas como root, también configurará el
tiempo local como el de la máquina solicitada. No es muy riguroso;
coge xntpd, si realmente te preocupa los milisegundos.

%description -l fr.UTF-8
rdate permet de récupérer l'heure d'une autre machine du réseau. s'il
est lancé par root, il configurera aussi votre heure locale avec celle
de la machine que vous avez interrogé. Il n'est pas très précis ; si
vous vous souciez des millisecondes, récupérez ntpd.

%description -l pl.UTF-8
rdate jest programem który odczytuje datę i godzinę z innej maszyny w
sieci. Jeżeli jest uruchamiany jako root może także służyć do
synchronizacji lokalnego czasu względem innego komputera w sieci. Nie
jest zbyt dokładny i jeżeli milisekundy mają dla nas znaczenie należy
użyć ntpd.

%description -l pt_BR.UTF-8
Rdate é um programa que pode retornar o tempo (data/hora) de outra
máquina na sua rede. Se rodar como root, ele também irá configurar o
hora local como o da máquina requisitada. Ele não é super preciso;
pegue xntpd se você realmente se preocupa com milisegundos.

%description -l ru.UTF-8
Утилита rdate считывает дату и время с другой машины вашей сети
используя протокол описанный в RFC 868. Если вы запускаете rdate от
пользователя root, она также может установить время на локальной
машине в соответствии со временем на удаленной машине. Имейте в виду,
что rdate не отличается особенной точностью; если вы заботитесь о
миллисекундах, установите пакет xntp3, включающий демона xntpd.

%description -l tr.UTF-8
rdate ile herhangi başka bir makinadan sistem saatini sorgulanabilir.
Yetkili kullanıcı tarafından çalıştırılırsa sistem saatini ayarlamak
da mümkündür. Ne var ki bu uygulama çok hassas değildir.

%description -l uk.UTF-8
Утиліта rdate отримує дату та час з іншої машини у вашій мережі,
використовуючи протокол описаний в RFC 868. Якщо ви запускаєте rdate
від користувача root, вона також може встановити час на локальній
машині у відповідності із часом на віддаленій машині. Майте на увазі,
що rdate не відрізняється особливою точністю; якщо ви турбуєтесь про
мілісекунди, встановіть пакет xntp3, який включає демона xntpd.

%prep
%setup -q

%build
%{__make} clean
%{__make} \
	CFLAGS="-DINET6 %{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,/etc/{cron.daily,rc.d/init.d,sysconfig}}

install rdate $RPM_BUILD_ROOT%{_bindir}
install rdate.1 $RPM_BUILD_ROOT%{_mandir}/man1
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}
install %{SOURCE3} $RPM_BUILD_ROOT/etc/cron.daily/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add rdate

%preun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del rdate
fi

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rdate
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(755,root,root) /etc/cron.daily/%{name}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rdate.spec,v $
Revision 1.64  2008/07/27 22:25:13  arekm
- release 5

Revision 1.63  2007-02-12 22:09:12  glen
- tabs in preamble

Revision 1.62  2007/02/12 01:06:30  baggins
- converted to UTF-8

Revision 1.61  2006/04/20 17:30:13  glen
- fix chkconfig deps

Revision 1.60  2005/10/29 18:24:44  darekr
- perms for config file

Revision 1.59  2005/09/10 10:44:59  gotar
- rel++ (start service after routing daemons)

Revision 1.58  2005/05/09 12:16:53  qboosh
- unified

Revision 1.57  2004/12/08 20:21:26  hawk
- release 3 (2 for RA), STBR

Revision 1.56  2004/04/27 07:44:54  orzech
- up to 1.4

Revision 1.55  2004/01/27 09:47:04  ankry
- fixed behaviour with many servers in rdate.init, rel. 10

Revision 1.54  2004/01/09 14:56:27  deejay1
- rel up to 9 - works fine for me, no one was complaining..
- proper LICENSE
- small changelog cosmetic

Revision 1.53  2004/01/08 20:04:54  deejay1
- background clock synchro by jerzy szczudlowski <jerzy {at} jedwab.net.pl>
- rel up by 0.1 for testing

Revision 1.52  2003/08/22 15:01:54  ankry
- attributr fix

Revision 1.51  2003/08/21 23:14:05  arekm
- rebuild

Revision 1.50  2003/05/25 11:00:58  malekith
- massive attack, adding Source-md5

Revision 1.49  2003/05/25 06:26:15  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.48  2003/04/06 12:42:03  blues
- release 7

Revision 1.47  2003/04/06 10:07:24  orzech
- fixed bugs in init and cron scripts

Revision 1.46  2003/04/05 19:31:44  kloczek
- cosmetics.

Revision 1.45  2003/04/04 23:10:54  orzech
- added IPv6 patch (yeah, it works!)

Revision 1.44  2003/03/31 06:44:18  blues
- release 5 - cronjob works now

Revision 1.43  2003/03/26 11:27:18  orzech
- removed TODO

Revision 1.42  2003/03/26 11:25:40  orzech
- cron job for daily time sync

Revision 1.41  2003/03/26 02:56:52  blues
- small TODO added

Revision 1.40  2003/02/17 01:27:58  ankry
- Obsoletes: rdate-bsd

Revision 1.39  2003/02/16 11:58:37  blues
- everyone can call status...

Revision 1.38  2003/02/14 09:41:17  jareq
- fixed attr
- rel. 4
- STBR

Revision 1.37  2003/02/05 19:39:15  kloczek
- added "Requires(post,postun): /sbin/chkconfig".

Revision 1.36  2003/02/05 16:24:21  blues
- adding use of init scripts in post

Revision 1.35  2003/02/05 15:35:52  blues
- release 3 - init scripts for setting time at startup of system, STBR to
  Ra updates general?

Revision 1.34  2003/01/14 10:39:06  jk
- fixed segfault in not root rdate -s invocation
- relase 2

Revision 1.33  2002/11/06 20:45:03  orzech
- up to 1.3
- removed obsolete alarm.patch
- rel. 1, STBR

Revision 1.32  2002/11/06 10:10:48  orzech
- added alarm.path (already sent to sopwith@redhat.com)
- rel. 7

Revision 1.31  2002/07/24 12:10:06  kloczek
- bump release to 6: merge translations from KSI and Conectiva.

Revision 1.30  2002/07/24 11:26:05  speedy
- moved to Elliot Lee <sopwith@redhat.com> version

Revision 1.29  2002/07/22 13:15:31  marcus
- rel.3.

Revision 1.28  2002/02/23 04:32:21  kloczek
- adapterized.

Revision 1.27  2002/02/22 23:29:40  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.26  2002/01/18 02:14:47  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.25  2001/11/23 13:40:15  qboosh
- s/Copyright/License/, adapterized

Revision 1.24  2001/09/29 13:50:12  qboosh
- typo

Revision 1.23  2001/05/02 16:29:12  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.22  2000/12/15 13:32:57  zagrodzki
- removed "gzip -9nf man/*"
- s/make install/install ... .../
- release 2

Revision 1.21  2000/08/28 19:33:49  kloczek
- added using %%{__make} makro.

Revision 1.20  2000/08/28 17:05:37  wiget
- version 0.990821
- enable IPv6 support

Revision 1.19  2000/08/28 16:58:44  wiget
- xntpd -> ntpd

Revision 1.18  2000/06/13 20:29:08  kloczek
- spec adapterized.

Revision 1.17  2000/06/09 07:23:58  kloczek
- added using %%{__make} macro.

Revision 1.16  2000/04/01 11:15:39  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.15  2000/03/28 16:55:06  baggins
- translated kloczkish into english

Revision 1.14  1999/07/28 17:35:23  wiget
- added missing %%defattr

Revision 1.13  1999/07/12 23:06:14  kloczek
- added using CVS keywords in %changelog (for automating them).

* Wed Feb 17 1999 Michał Kuratczyk <kura@wroclaw.art.pl>
  [0.960923-7]
- added gzipping man page
- added
- sloted BuildRoot into PLD standard
- cosmetic changes

* Thu Oct 13 1998 Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>
  [0.960923-6]
- removed patching Makefile (now $RPM_OPT_FLAGS in CFLAGS is passed directly
  in make parameters).

* Sun Oct 11 1998 Marek Obuchowicz <elephant@shadow.eu.org>
- some other modifications of spec file,
- build from non-root account,
- fixed file permissons.

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Oct 20 1997 Otto Hammersmith <otto@redhat.com>
- fixed the url to the source

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
